> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Catalog Price Records



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/catalog-families/{familyId}/price-records
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/catalog-families/{familyId}/price-records:
    get:
      tags:
        - Catalog Price Records
      summary: List Catalog Price Records
      operationId: CatalogPriceRecordsController_list_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: familyId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CatalogPriceRecordListResponseDto'
components:
  schemas:
    CatalogPriceRecordListResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/CatalogPriceRecordDto'
      required:
        - items
    CatalogPriceRecordDto:
      type: object
      properties:
        actor:
          anyOf:
            - $ref: '#/components/schemas/CatalogPriceRecordActorDto'
            - type: 'null'
        id:
          type: string
        familySourceId:
          type: string
        supplierName:
          type:
            - string
            - 'null'
        itemSourceId:
          type:
            - string
            - 'null'
        catalogItemId:
          type:
            - string
            - 'null'
        catalogItemName:
          type:
            - string
            - 'null'
        origin:
          $ref: '#/components/schemas/CatalogPriceRecordOriginDto'
        region:
          type:
            - string
            - 'null'
        price:
          type:
            - string
            - 'null'
        leadTime:
          type:
            - string
            - 'null'
        updatedAt:
          type: string
      required:
        - actor
        - id
        - familySourceId
        - supplierName
        - itemSourceId
        - catalogItemId
        - catalogItemName
        - origin
        - region
        - price
        - leadTime
        - updatedAt
    CatalogPriceRecordActorDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
    CatalogPriceRecordOriginDto:
      type: object
      properties:
        kind:
          enum:
            - project
            - catalog
            - collection
          type: string
        id:
          type:
            - string
            - 'null'
        name:
          type:
            - string
            - 'null'
      required:
        - kind
        - id
        - name

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.